Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
secrets = client.secrets.list()
print(secrets.pagination)curl --request GET \
--url https://developer.qaip.com/api/v1/secrets \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://developer.qaip.com/api/v1/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secrets": [
{
"id": "<string>",
"name": "<string>",
"last_update_time": 123,
"creation_time": 123,
"description": "<string>"
}
],
"pagination": {
"limit": 123,
"has_more": true,
"total": 123,
"next_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
List secrets
Lists secrets with cursor-based pagination.
Required roles: All
GET
/
secrets
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
secrets = client.secrets.list()
print(secrets.pagination)Authorizations
API key for authentication
Query Parameters
Filter by secret type The type of the secret
Available options:
google_drive, github, notion Maximum number of results to return
Required range:
1 <= x <= 100Fetch records after this ID
⌘I

